Bug 201043 - deskutils/gxneur: Update to 0.17.0, Take MAINTAINER'ship
Summary: deskutils/gxneur: Update to 0.17.0, Take MAINTAINER'ship
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Guido Falsi
URL:
Keywords: patch, patch-ready
Depends on: 201041
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-22 13:16 UTC by Michael Zhilin
Modified: 2015-10-20 11:54 UTC (History)
2 users (show)

See Also:
mizhka: maintainer-feedback+


Attachments
SVN patch (2.27 KB, patch)
2015-06-22 13:16 UTC, Michael Zhilin
no flags Details | Diff
Poudriere testport (85.61 KB, text/plain)
2015-06-22 13:16 UTC, Michael Zhilin
no flags Details
Portlint -a output (327 bytes, text/plain)
2015-06-22 13:17 UTC, Michael Zhilin
no flags Details
SVN Patch (2.65 KB, patch)
2015-10-20 09:29 UTC, Michael Zhilin
mizhka: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Zhilin 2015-06-22 13:16:22 UTC
Created attachment 157981 [details]
SVN patch

Hi,

Please review & commit patch to update to 0.17.0. This patch depends on Bug 201041 (update xneur to v0.17.0). It works fine for me & portlint / poudriere testport output are attached. 

Thanks!
Comment 1 Michael Zhilin 2015-06-22 13:16:58 UTC
Created attachment 157982 [details]
Poudriere testport
Comment 2 Michael Zhilin 2015-06-22 13:17:45 UTC
Created attachment 157983 [details]
Portlint -a output
Comment 3 Guido Falsi freebsd_committer 2015-10-18 15:06:05 UTC
Hi,

I'm testing the port.

You state in the bug description you want to take maintainership, but you did not modify the MAINTAINER line in the port in your patch. Standard practice is to modify it when asking for maintainership.

So for a confirmation, are you still willing to take maintainership? Should I set the MAINTAINER line to the address mizhka@gmail.com?

BTW there are a few fixes needed to this submission and bug 201041 before they can be committed. I'll post a descriptions of the changes I made once I'm though with testing.

Thanks for you submissions!
Comment 4 Michael Zhilin 2015-10-20 09:29:37 UTC
Created attachment 162232 [details]
SVN Patch

[Attachment] updated SVN patch: changed MAINTAINER field & update WWW to actual up-to-date site

Thank you! Yes, I wish to maintain this port. I've updated patch. Also I've changed WWW as old site is not available now due to domain name xneur.ru has been expired.
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2015-10-20 09:36:18 UTC
@mizhka perfect, thank you :)
Comment 6 commit-hook freebsd_committer 2015-10-20 11:26:00 UTC
A commit references this bug:

Author: madpilot
Date: Tue Oct 20 11:25:19 UTC 2015
New revision: 399816
URL: https://svnweb.freebsd.org/changeset/ports/399816

Log:
  - Update to 0.17.0
  - Update MASTER_SITES and WWW in pkg-descr
  - Add LICENSE
  - Assign maintainership to submitter

  PR:		201043
  Submitted by:	mizhka at gmail.com

Changes:
  head/deskutils/gxneur/Makefile
  head/deskutils/gxneur/distinfo
  head/deskutils/gxneur/pkg-descr
Comment 7 Guido Falsi freebsd_committer 2015-10-20 11:27:26 UTC
Committed with some changes, for comments on the reasoning behind the changes please check comment 5 in bug 201041.

Thanks!
Comment 8 Michael Zhilin 2015-10-20 11:54:45 UTC
Thank you!